Loading...
Searching...
No Matches
_ExceptionInfo Struct Reference

## Data Fields

ExceptionType | severity
int | error_number
char * | reason
char * | description
void * | exceptions
MagickBooleanType | relinquish
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 101 of file exception.h.

## Field Documentation

## description

char * _ExceptionInfo::description

Definition at line 111 of file exception.h.

## error_number

int _ExceptionInfo::error_number

Definition at line 107 of file exception.h.

## exceptions

void* _ExceptionInfo::exceptions

Definition at line 114 of file exception.h.

## reason

char* _ExceptionInfo::reason

Definition at line 110 of file exception.h.

## relinquish

MagickBooleanType _ExceptionInfo::relinquish

Definition at line 117 of file exception.h.

## semaphore

SemaphoreInfo* _ExceptionInfo::semaphore

Definition at line 120 of file exception.h.

## severity

ExceptionType _ExceptionInfo::severity

Definition at line 104 of file exception.h.

## signature

size_t _ExceptionInfo::signature

Definition at line 123 of file exception.h.

The documentation for this struct was generated from the following file:

- exception.h